View Issue Details

IDProjectCategoryView StatusLast Update
0015872LazarusIDEpublic2012-08-29 15:00
ReporterMario Ray Mahardhika Assigned ToMattias Gaertner  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSWindows XP SP3 
Summary0015872: Error: Illegal parameter: -vmc
DescriptionI got it when I try to combine both show macros (-vm) and show conditional (-vc)
Steps To Reproducejust call: fpc -vmc whatever
TagsNo tags attached.
Fixed in Revision38411
LazTarget-
Widgetset
Attached Files

Relationships

related to 0023347 closedMattias Gaertner Compile message: - Error: Illegal parameter: -vewnhildmpcx 
related to 0023351 resolvedMattias Gaertner Reopen issue 0015872 and 0023347 Compile message: - Error: Illegal parameter: -vewnhildmpcx 

Activities

Jonas Maebe

2010-03-01 12:42

manager   ~0034876

-vm does not mean "show macros". From the fpc help page:

  -v<x> Be verbose. <x> is a combination of the following letters:
[snip]
      m<x>,<y> : Don't show messages numbered <x> and <y>

Mario Ray Mahardhika

2010-03-03 06:14

reporter   ~0034910

Oh, sorry. I run it from Lazarus' Compiler Options->Verbosity page. Looks like a Lazarus bug then.

Mario Ray Mahardhika

2012-08-25 17:17

reporter   ~0061888

I think the option can simply be removed, the IDE already handles the correct -vm <x>{,<y>} via Messages node.

Reinier Olislagers

2012-08-25 19:03

developer   ~0061891

Something like the attached patch?
It ignores any "show defined macros" in existing projects, and removes the checkbox from the form.

Tested with existing project with "show defined macros".

2012-08-25 19:04

 

bug15872.diff (3,121 bytes)   
Index: ide/lazarusidestrconsts.pas
===================================================================
--- ide/lazarusidestrconsts.pas	(revision 38375)
+++ ide/lazarusidestrconsts.pas	(working copy)
@@ -1986,7 +1986,6 @@
   dlgShowDebugInfo = 'Show debug info';
   dlgShowUsedFiles = 'Show used files';
   dlgShowTriedFiles = 'Show tried files';
-  dlgShowDefinedMacros = 'Show defined macros';
   dlgShowCompiledProcedures = 'Show compiled procedures';
   dlgShowConditionals = 'Show conditionals';
   dlgShowExecutableInfo = 'Show executable info (Win32 only)';
Index: ide/frames/compiler_verbosity_options.pas
===================================================================
--- ide/frames/compiler_verbosity_options.pas	(revision 38375)
+++ ide/frames/compiler_verbosity_options.pas	(working copy)
@@ -52,7 +52,6 @@
     Items.Add(dlgShowHint + ' (-vh)');
     Items.Add(dlgShowTriedFiles + ' (-vt)');
     Items.Add(dlgShowGeneralInfo + ' (-vi)');
-    Items.Add(dlgShowDefinedMacros + ' (-vm)');
     Items.Add(dlgShowCompilingLineNumbers + ' (-vl)');
     Items.Add(dlgShowCompiledProcedures + ' (-vp)');
     Items.Add(dlgShowProcsError + ' (-vb)');
@@ -82,17 +81,17 @@
     Checked[6] := ShowHints;
     Checked[7] := ShowTriedFiles;
     Checked[8] := ShowGenInfo;
-    Checked[9] := ShowDefMacros;
-    Checked[10] := ShowLineNum;
-    Checked[11] := ShowCompProc;
-    Checked[12] := ShowAllProcsOnError;
-    Checked[13] := ShowCond;
-    Checked[14] := ShowAll;
-    Checked[15] := ShowExecInfo;
-    Checked[16] := ShowSummary;
-    Checked[17] := ShowNothing;
-    Checked[18] := ShowHintsForUnusedUnitsInMainSrc;
-    Checked[19] := WriteFPCLogo;
+    Checked[9] := ShowLineNum;
+    Checked[10] := ShowCompProc;
+    Checked[11] := ShowAllProcsOnError;
+    Checked[12] := ShowCond;
+    Checked[13] := ShowAll;
+    Checked[14] := ShowExecInfo;
+    Checked[15] := ShowSummary;
+    Checked[16] := ShowNothing;
+    Checked[17] := ShowHintsForUnusedUnitsInMainSrc;
+    Checked[18] := WriteFPCLogo;
+    // Ignore ShowDefMacros from any previous Laz version; that option wrongly ran -vm
 
     edtErrorCnt.Text := IntToStr(StopAfterErrCount);
   end;
@@ -111,17 +110,16 @@
     ShowHints := Checked[6];
     ShowTriedFiles := Checked[7];
     ShowGenInfo := Checked[8];
-    ShowDefMacros := Checked[9];
-    ShowLineNum := Checked[10];
-    ShowCompProc := Checked[11];
-    ShowAllProcsOnError := Checked[12];
-    ShowCond := Checked[13];
-    ShowAll := Checked[14];
-    ShowExecInfo := Checked[15];
-    ShowSummary := Checked[16];
-    ShowNothing := Checked[17];
-    ShowHintsForUnusedUnitsInMainSrc := Checked[18];
-    WriteFPCLogo := Checked[19];
+    ShowLineNum := Checked[9];
+    ShowCompProc := Checked[10];
+    ShowAllProcsOnError := Checked[11];
+    ShowCond := Checked[12];
+    ShowAll := Checked[13];
+    ShowExecInfo := Checked[14];
+    ShowSummary := Checked[15];
+    ShowNothing := Checked[16];
+    ShowHintsForUnusedUnitsInMainSrc := Checked[17];
+    WriteFPCLogo := Checked[18];
     StopAfterErrCount := StrToIntDef(edtErrorCnt.Text, 1);
   end;
 end;
bug15872.diff (3,121 bytes)   

Issue History

Date Modified Username Field Change
2010-03-01 12:31 Mario Ray Mahardhika New Issue
2010-03-01 12:42 Jonas Maebe Status new => resolved
2010-03-01 12:42 Jonas Maebe Resolution open => fixed
2010-03-01 12:42 Jonas Maebe Assigned To => Jonas Maebe
2010-03-01 12:42 Jonas Maebe Note Added: 0034876
2010-03-03 06:14 Mario Ray Mahardhika Status resolved => feedback
2010-03-03 06:14 Mario Ray Mahardhika Resolution fixed => reopened
2010-03-03 06:14 Mario Ray Mahardhika Note Added: 0034910
2010-03-03 10:45 Jonas Maebe Project FPC => Lazarus
2010-03-03 12:31 Vincent Snijders LazTarget => -
2010-03-03 12:31 Vincent Snijders Assigned To Jonas Maebe =>
2010-03-03 12:31 Vincent Snijders Status feedback => acknowledged
2010-03-03 12:31 Vincent Snijders Category Compiler => IDE
2010-03-03 12:31 Vincent Snijders Product Version 2.5.1 =>
2012-08-25 17:17 Mario Ray Mahardhika Note Added: 0061888
2012-08-25 19:03 Reinier Olislagers Note Added: 0061891
2012-08-25 19:04 Reinier Olislagers File Added: bug15872.diff
2012-08-27 19:06 Mattias Gaertner Fixed in Revision => 38411
2012-08-27 19:06 Mattias Gaertner Assigned To => Mattias Gaertner
2012-08-27 19:06 Mattias Gaertner Status acknowledged => resolved
2012-08-27 19:06 Mattias Gaertner Resolution reopened => fixed
2012-08-29 15:00 Mario Ray Mahardhika Status resolved => closed
2012-11-18 22:31 Juha Manninen Relationship added related to 0023347
2012-11-19 02:22 Juha Manninen Relationship added related to 0023351